On 20020313 (Wed) at 0652:35 -0500, Greg Louis wrote:
> The first patch will make "make install-strip" work.  The second spends
> a few cycles avoiding "1 files to consider."  Both are trivial but IMHO
> useful.
> 
0 for 2 ... ENOTENOUGHCOFFEE ... sorry.  Let's try one more time:

--- Makefile.in~	Wed Mar 13 07:11:24 2002
+++ Makefile.in	Wed Mar 13 07:10:41 2002
@@ -12,6 +12,7 @@
 LDFLAGS=@LDFLAGS@
 
 INSTALLCMD=@INSTALL@
+INSTALLMAN=@INSTALL@
 
 srcdir=@srcdir@
 VPATH=$(srcdir)
@@ -56,8 +57,8 @@
 	${INSTALLCMD} -m 755 rsync ${bindir}
 	-mkdir -p ${mandir}/man1
 	-mkdir -p ${mandir}/man5
-	${INSTALLCMD} -m 644 $(srcdir)/rsync.1 ${mandir}/man1
-	${INSTALLCMD} -m 644 $(srcdir)/rsyncd.conf.5 ${mandir}/man5
+	${INSTALLMAN} -m 644 $(srcdir)/rsync.1 ${mandir}/man1
+	${INSTALLMAN} -m 644 $(srcdir)/rsyncd.conf.5 ${mandir}/man5
 
 install-strip:
 	$(MAKE) INSTALLCMD='$(INSTALLCMD) -s' install

--- flist.c~	Wed Mar 13 06:45:36 2002
+++ flist.c	Wed Mar 13 06:45:36 2002
@@ -101,7 +101,8 @@
 {
 	if (do_progress) {
 		/* This overwrites the progress line */
-		rprintf(FINFO, "%d files to consider\n", flist->count);
+		rprintf(FINFO, "%d file%sto consider\n",
+		    flist->count, flist->count==1?" ":"s ");
 	} else
 		rprintf(FINFO, "done\n");
 }


-- 
| G r e g  L o u i s          | gpg public key:      |
|   http://www.bgl.nu/~glouis |   finger greg@bgl.nu |

Header information for this message:
Subject: Re: [PATCH] fix install-strip target in Makefile
     To: rsync@samba.org
   From: Greg Louis <glouis@dynamicro.on.ca>

--
To unsubscribe or change options: http://lists.samba.org/mailman/listinfo/rsync
Before posting, read: http://www.tuxedo.org/~esr/faqs/smart-questions.html
